summaryrefslogtreecommitdiffstats
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..551a888
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+OLD=/var/lib/games/xlennart/scores
+OLD2=/var/lib/games/xlennart.scores
+SCORES=/var/games/xlennart.scores
+
+if [ -e $OLD ]; then
+ mv $OLD $SCORES
+ rmdir /var/lib/games/xlennart
+elif [ -e $OLD2 ]; then
+ mv $OLD2 $SCORES
+else
+ if [ ! -e $SCORES ]; then
+ cp $SCORES.default $SCORES
+ fi
+fi
+
+chown root:games $SCORES
+chmod 0664 $SCORES
+
+#DEBHELPER#
+